Main Page Modules Data Structures Globals Appendix

# MInputXIMArgIM Struct Reference
[Input Method (GUI)]

Structure pointed to by the argument arg of the function minput_open_im(). More...

## Data Fields
Display * | display
XrmDatabase | db
char * | res_class
char * | res_name
char * | locale
char * | modifier_list

## Detailed Description

Structure pointed to by the argument arg of the function minput_open_im().

The type MInputXIMArgIM is the structure pointed to by the argument arg of the function minput_open_im() for the foreign input method of name Mxim.

## Field Documentation

Display* MInputXIMArgIM::display

The meaning of the following four members are the same as arguments to XOpenIM(). Display of the client.

XrmDatabase MInputXIMArgIM::db

Pointer to the X resource database.

char* MInputXIMArgIM::res_class

Full class name of the application.

char* MInputXIMArgIM::res_name

Full resource name of the application.

char* MInputXIMArgIM::locale

Locale name under which an XIM is opened.

char* MInputXIMArgIM::modifier_list

Arguments to XSetLocaleModifiers().

Top of this page
Main Page Modules Data Structures Globals Appendix